# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_qnamakerruntime 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_qnamakerruntime".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-31"
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/4.0".freeze, "lib/4.0/generated".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/context_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/error.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/error_code_type.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/error_response.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/error_response_error.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/feedback_record_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/feedback_records_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/inner_error_model.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/metadata_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/prompt_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/prompt_dtoqna.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/qn_adto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/qn_adtocontext.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/qn_asearch_result.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/qn_asearch_result_context.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/qn_asearch_result_list.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/query_context_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/query_dto.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/models/query_dtocontext.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/module_definition.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/qnamaker_runtime_client.rb".freeze, "lib/4.0/generated/azure_cognitiveservices_qnamakerruntime/runtime.rb".freeze, "lib/azure_cognitiveservices_qnamakerruntime.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/qnamakerruntime_profile_module.rb".freeze, "lib/profiles/latest/qnamakerruntime_latest_profile_client.rb".freeze, "lib/profiles/latest/qnamakerruntime_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume CognitiveservicesQnamakerruntime".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
